ubuntu设置HTTP代理 407 Proxy Authentication Required错误的解决办法

如果你公司的网络架构是通过一个代理服务器上网,那么Ubuntu在使用apt-get更新的时候会出现问题。即使你配置了系统范围内的代理(System wide proxy server)。通常在执行apt-get update等命令的时候,会出现下面这样的错误:
 
407 Proxy Authentication Required
很简单,我们只要更改apt-get的配置文件就可以了,修改/etc/apt/apt.conf的内容:
 
$ cat /etc/apt/apt.conf  
Acquire::http::proxy "http://username:passowrd@proxy:80/";
 
Acquire::ftp::proxy "ftp://username:password@proxy:80/";
Acquire::https::proxy "https://username:password@proxy:80/";
 
username,password,proxy以及端口都要按照实际的修改。

这样就可以更新系统了。

------------------------------------------------------------------------------------------------------------------------------------

方法一
    这是一种临时的手段,如果您仅仅是暂时需要通过http代理使用apt-get,您可以使用这种方式。

    在使用apt-get之前,在终端中输入以下命令(根据您的实际情况替换yourproxyaddressproxyport)。
    export http_proxy=http://yourproxyaddress:proxyport

 

方法二
这种方法要用到/etc/apt/文件夹下的apt.conf文件。如果您希望apt-get(而不是其他应用程序)一直使用http代理,您可以使用这种方式。
注意: 某些情况下,系统安装过程中没有建立apt配置文件。下面的操作将视情况修改现有的配置文件或者新建配置文件。
    sudo gedit /etc/apt/apt.conf
在您的apt.conf文件中加入下面这行(根据你的实际情况替换yourproxyaddressproxyport)。
    Acquire::http::Proxy “http://yourproxyaddress:proxyport”;
保存apt.conf文件。

 

方法三
这种方法会在您的主目录下的.bashrc文件中添加两行。如果您希望apt-get和其他应用程序如wget等都使用http代理,您可以使用这种方式。
gedit ~/.bashrc
在您的.bashrc文件末尾添加如下内容(根据你的实际情况替换yourproxyaddressproxyport)。
    http_proxy=http://yourproxyaddress:proxyport
    export http_proxy

版权声明:
作者:bin
链接:https://ay123.net/notebook/experience/516/
来源:爱影博客
文章版权归作者所有,未经允许请勿转载。

THE END
分享
二维码
< <上一篇
下一篇>>